std::error_code(3cxx)

NAME
std::error_code

SYNOPSIS

  Public Member Functions

error_code (int __v, const error_category &__cat) noexcept
template<typename _ErrorCodeEnum , typename = typename enable_if<is_error_code_enum<_ErrorCodeEnum>::value>::type> error_code (_ErrorCodeEnum __e) noexcept
void assign (int __v, const error_category &__cat) noexcept
const error_category & category () const noexcept
void clear () noexcept
error_condition default_error_condition () const noexcept
_GLIBCXX_DEFAULT_ABI_TAG string message () const
operator bool () const noexcept
template<typename _ErrorCodeEnum > enable_if< is_error_code_enum< _ErrorCodeEnum >::value, error_code & >::type operator= (_ErrorCodeEnum __e) noexcept
int value () const noexcept

  Friends

class hash< error_code >

Detailed Description

error_code

Definition at line 138 of file system_error.

Author

Generated automatically by Doxygen for libstdc++ from the source code.